#!/bin/bash
# exit:exit 0:TRUE ; exit 1:FALSE
IFS=$'\n'

# cd "$(dirname $0)"
cd "$(dirname "$0")" || exit
pwd
fileListPath="lists"
echo "- start -"
errorStatus=0
# for eachFile in `ls ${fileListPath}/*.sh`
for eachFile in "${fileListPath}"/*.sh
do
  [[ -e "${eachFile}" ]] || break  # handle the case of no *.sh files
  echo "source ${eachFile}"
# shellcheck source=/dev/null    # not have access to the file:
  source "${eachFile}"
  errorStatus=$?
  if [ $errorStatus != 0 ]; then
    break
  fi
done

echo "- end -"

exit $errorStatus
